Scheduler
Keywords: com.example.model.Scheduler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.example.model
Class Scheduler

    java.lang.Object
      com.example.model.Scheduler

    public class Scheduler

extends java.lang.Object

This class will process a String array to find free schedule times. Each index of the array represents a day. (ex: array[0] would be Monday and array[4] would br friday) The times entered in each day are the busy times of all users. The Scheduler class takes these times and returns a new String[] consisting of a UNION of the User's free times.

Constructor Summary
`Scheduler()` This is the default constructor.

Method Summary
`java.lang.String[]` | `getFreeTimes(java.lang.String[] classTimes, java.lang.String startTime, java.lang.String finishTime)` getFreeTimes will take a string[] of busy times and constraints (if entered) and return a new string[] consisting of the free times inside the contraints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scheduler

    public Scheduler()

  This is the default constructor. An array of size 1440 is created with all of the elements set to '0'. These elements represent the minutes in one day.

  Parameters:
    `None` -

Method Detail

### getFreeTimes

    public java.lang.String[] getFreeTimes(java.lang.String[] classTimes,
                                           java.lang.String startTime,
                                           java.lang.String finishTime)

  getFreeTimes will take a string[] of busy times and constraints (if entered) and return a new string[] consisting of the free times inside the contraints.

  Parameters:
    `String[]` - classTimes, String startTime, String finishTime
  Returns:
    String[]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD